Skip to main content
`Ctrl`+`K`

# numpy.random.PCG64.ctypes

attribute

random.PCG64.ctypes

  ctypes interface

  Returns:
    interface namedtuple

      Named tuple containing ctypes wrapper

      - state_address - Memory address of the state struct

      - state - pointer to the state struct

      - next_uint64 - function pointer to produce 64 bit integers

      - next_uint32 - function pointer to produce 32 bit integers

      - next_double - function pointer to produce doubles

      - bitgen - pointer to the bit generator struct